:root {
  --midblue: #31334a;
  --cream: #ffe9c2;
  --white: #faf7f0;
  --rock: #f15b29;
  --nr: #F5e7ca;
  --cilembu: #ffce72;
  --darbe: #242424;
}

html {
  scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    font-family: 'Bodoni Moda', serif;
    color: var(--midblue);
    font-size: 16pt;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    overflow-x: hidden;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}

p {
  font-family:'Open Sans', sans-serif;
  line-height: 1.5;
  font-size: 0.9rem;
}

h1 {
  font-size: 4rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-family:'Open Sans', sans-serif;
  font-weight: bold;
}

/* Button */
.buttonlink {
  text-decoration: none;
}

.button {
  width: 180px;
  height: 60px;
  margin-top: 2rem;
  border-radius: 10px;
  border: 1px solid var(--midblue);
}

.buttontext {
  font-family: 'Bodoni Moda', serif;
  font-size: 1.2rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
     -ms-flex-pack: center;
   justify-content: center;
  padding-top: 0.5rem;
}

.button:hover {
  background-color: var(--midblue);
  -webkit-transition: 0.3s;
  -o-transition: 0.3s;
  transition: 0.3s;
}

.button:hover .buttontext {
  color: var(--white);
  -webkit-transition: 0.3s;
  -o-transition: 0.3s;
  transition: 0.3s;
}

/* Contact Pop Up */
.contactpopup {
  width: 96vw;
  height: 94vh;
  background-color: var(--white);
  border-radius: 35px;
  z-index: 10;
  opacity: 0;
  position: fixed;
  top: -150%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%) scale(0);
      -ms-transform: translate(-50%, -50%) scale(0);
          transform: translate(-50%, -50%) scale(0);
  opacity: 0;
  -webkit-transition: top 0ms ease-in-out 200ms,
              opacity 300ms ease-in-out 0ms,
              -webkit-transform 300ms ease-in-out 0ms;
  transition: top 0ms ease-in-out 200ms,
              opacity 300ms ease-in-out 0ms,
              -webkit-transform 300ms ease-in-out 0ms;
  -o-transition: top 0ms ease-in-out 200ms,
              opacity 300ms ease-in-out 0ms,
              transform 300ms ease-in-out 0ms;
  transition: top 0ms ease-in-out 200ms,
              opacity 300ms ease-in-out 0ms,
              transform 300ms ease-in-out 0ms;
  transition: top 0ms ease-in-out 200ms,
              opacity 300ms ease-in-out 0ms,
              transform 300ms ease-in-out 0ms,
              -webkit-transform 300ms ease-in-out 0ms;
}

.contactpopup.active {
  top: 50%;
  opacity: 1;
  -webkit-transform: translate(-50%, -50%) scale(1);
      -ms-transform: translate(-50%, -50%) scale(1);
          transform: translate(-50%, -50%) scale(1);
  -webkit-transition: top 0ms ease-in-out 0ms,
              opacity 300ms ease-in-out 0ms,
              -webkit-transform 300ms ease-in-out 0ms;
  transition: top 0ms ease-in-out 0ms,
              opacity 300ms ease-in-out 0ms,
              -webkit-transform 300ms ease-in-out 0ms;
  -o-transition: top 0ms ease-in-out 0ms,
              opacity 300ms ease-in-out 0ms,
              transform 300ms ease-in-out 0ms;
  transition: top 0ms ease-in-out 0ms,
              opacity 300ms ease-in-out 0ms,
              transform 300ms ease-in-out 0ms;
  transition: top 0ms ease-in-out 0ms,
              opacity 300ms ease-in-out 0ms,
              transform 300ms ease-in-out 0ms,
              -webkit-transform 300ms ease-in-out 0ms;
}

.contactpopup .close-btn {
  position: fixed;
  right: 3%;
  top: 6%;
}

.contactpopup ion-icon {
  font-size: 2.5rem;
  color: var(--midblue);
}

.contactpopup .contentcontact, .mycontact {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  height: 100%;
  overflow: hidden;
}

.contactpopup .contentcontact .mycontact {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  margin-top: 2rem;
}

.contactpopup .contentcontact .mycontact ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin: 0.7rem 0;
}

.contactpopup .contentcontact .mycontact h3 {
  font-size: 1.2rem;
  margin: 1.5rem 0 2rem 0;
}

.contactpopup .contentcontact .mycontact h2 {
  margin-bottom: 0.5rem;
}

/* Background */
 .bg {
    position: fixed;
    top: -50%;
    left: -50%;
    right: -50%;
    bottom: -50%;
    width: 200%;
    height: 200vh;
    background: var(--cream) url('../images/noise-transparent.png') 
                repeat 0 0;
    -webkit-animation: bg-animation .2s infinite;
            animation: bg-animation .2s infinite;
    opacity: 1;
    z-index: -1;
  }

  @-webkit-keyframes bg-animation {
    0% { -webkit-transform: translate(0,0) }
    10% { -webkit-transform: translate(-5%,-5%) }
    20% { -webkit-transform: translate(-10%,5%) }
    30% { -webkit-transform: translate(5%,-10%) }
    40% { -webkit-transform: translate(-5%,15%) }
    50% { -webkit-transform: translate(-10%,5%) }
    60% { -webkit-transform: translate(15%,0) }
    70% { -webkit-transform: translate(0,10%) }
    80% { -webkit-transform: translate(-15%,0) }
    90% { -webkit-transform: translate(10%,5%) }
    100% { -webkit-transform: translate(5%,0) }
}

  @keyframes bg-animation {
      0% { -webkit-transform: translate(0,0); transform: translate(0,0) }
      10% { -webkit-transform: translate(-5%,-5%); transform: translate(-5%,-5%) }
      20% { -webkit-transform: translate(-10%,5%); transform: translate(-10%,5%) }
      30% { -webkit-transform: translate(5%,-10%); transform: translate(5%,-10%) }
      40% { -webkit-transform: translate(-5%,15%); transform: translate(-5%,15%) }
      50% { -webkit-transform: translate(-10%,5%); transform: translate(-10%,5%) }
      60% { -webkit-transform: translate(15%,0); transform: translate(15%,0) }
      70% { -webkit-transform: translate(0,10%); transform: translate(0,10%) }
      80% { -webkit-transform: translate(-15%,0); transform: translate(-15%,0) }
      90% { -webkit-transform: translate(10%,5%); transform: translate(10%,5%) }
      100% { -webkit-transform: translate(5%,0); transform: translate(5%,0) }
  }

/* Scrollbar */
::-webkit-scrollbar {
    width: 15px;
  }

/* Scrollbar Track */
::-webkit-scrollbar-track {
    background: var(--white); 
  }
   
/* Scrollbar Handle */
  ::-webkit-scrollbar-thumb {
    background: var(--midblue); 
  }

@media only screen and (max-width: 900px) {
  * {
    font-size: 14pt;
  }
}